var y c k h e_a e_b y_obs h_obs y_trend h_trend;
varexo v_a v_b n_y n_h;

parameters alpha beta delta chi rho_a rho_b;

beta = 0.99;
delta = 0.025;
alpha = 0.3;
chi=1;
rho_a=0.8;
rho_b=0.8;

model(linear);

# kratio = alpha/((1/beta)+delta-1);

# cratio = 1-(delta*kratio);

(h-e_b)*(1+(1/chi))=y-c;

1 = beta*((alpha*(1/kratio)*(c-c(+1)+y(+1)-k+1))+((1-delta)*(c-c(+1)+1)));

y = (k(-1)*alpha)+((h+e_a)*(1-alpha));

y = (cratio*c)+(kratio*k)-((1-delta)*kratio*k(-1));

e_a=(rho_a*e_a(-1))+v_a;

e_b=(rho_b*e_b(-1))+v_b;

y_obs = y + y_trend;
(y_trend-y_trend(-1))-(y_trend(-1)-y_trend(-2))= n_y;

h_obs = h + h_trend;
(h_trend-h_trend(-1))-(h_trend(-1)-h_trend(-2))= n_h;
end;

varobs y_obs h_obs;

initval;

y = 0;
y_obs = 0;
c = 0;
h = 0;
h_obs = 0;
k = 0;
e_a = 0;
e_b = 0;
v_a = 0;
v_b = 0;
y_trend=0;
h_trend=0;
end;

estimated_params;
alpha, beta_pdf, 0.5, 1/sqrt(12);
chi, gamma_pdf, 1, 0.8452;
rho_a, beta_pdf, 0.5, 1/sqrt(12);
rho_b, beta_pdf, 0.5, 1/sqrt(12);
stderr v_a, inv_gamma_pdf, 0.1, 4;
stderr v_b, inv_gamma_pdf, 0.1, 4;
stderr n_y, normal_pdf, 0, 4;
stderr n_h, normal_pdf, 0, 4;
end;

estimated_params_init;
alpha, 0.3;
chi, 1;
rho_a, 0.8;
rho_b, 0.8;
stderr v_a, 1;
stderr v_b, 0.5;
stderr n_y, 1;
stderr n_h, 0.5;
end;

check;

estimation(datafile=variables_simuladas, mode_check, mh_conf_sig=0.95 ,mh_replic=20000,selected_variables_only, mode_compute=6) y_obs h_obs;
identification;

